/// <reference types="react-native" />
export declare type UploadItem = {
    name: string;
    type: string;
    uri: string;
};
export declare type OnProgressData<T extends UploadItem = UploadItem> = {
    item: T;
    event: ProgressEvent<EventTarget>;
};
export declare type OnDoneData<T extends UploadItem = UploadItem> = {
    item: T;
    responseBody: string;
    responseHeaders: string;
};
export declare type OnErrorData<T extends UploadItem = UploadItem> = {
    item: T;
    error: string;
    timeout?: boolean;
};
export declare type FileUploadOptions<T extends UploadItem = UploadItem> = {
    url: string;
    field: string;
    method?: string;
    headers?: Headers;
    timeout?: number;
    onProgress?: (data: OnProgressData<T>) => void;
    onDone?: (data: OnDoneData<T>) => void;
    onError?: (data: OnErrorData<T>) => void;
    onTimeout?: (data: OnErrorData<T>) => void;
};
//# sourceMappingURL=types.d.ts.map